Bug 435582 - Xserver Fails to Start
Xserver Fails to Start
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nv (Show other bugs)
8
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-01 22:40 EST by John Leneschmidt
Modified: 2008-03-13 16:54 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-13 16:54:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/anaconda.xlog from install using VESA kernal option (54.06 KB, text/plain)
2008-03-06 10:28 EST, John Leneschmidt
no flags Details

  None (edit)
Description John Leneschmidt 2008-03-01 22:40:44 EST
Description of problem:
Xserver fails to start during installation.  

Version-Release number of selected component (if applicable):
11.3.0.50

How reproducible:
Start installation with Fedora 8 x86_64 DVD



Steps to Reproduce:
1. Start installatoin with Fedora 8 x86_64 DVD
2. Select "Install or upgrade an existing system"
3. Run or skip the media check
  
Actual results:
The following Messages appear after the media check
1. Runnining Anaconda 11.3.0.50
2. Probing for Video card:  Nvidia unknown device 0429
3. Attempting to start native x server
4. <<<a message flashes, but to quickly to read >>>
And then the screen goes blank.  The installation halts

Expected results:
Installation to continue with various selections.

Additional info:
Hardware: Lenovo T61 with a Nvidia Quadro NVS 140M video card

Also, installed Fedora 8 using text mode.  Installation is successful but X11 is
not installed.
Comment 1 Jeremy Katz 2008-03-02 12:45:17 EST
This is a bug in the nv driver.  If you add 'vesa' to the kernel command line
arguments, then you should be able to install with the vesa driver instead
Comment 2 Matěj Cepl 2008-03-03 08:45:44 EST
Could we get the logs in /var/log/anaconda.xlog from attempt to install with nv
driver attached to this bug as an uncompressed individual attachment, please?

Thank you.
Comment 3 John Leneschmidt 2008-03-06 10:28:30 EST
Created attachment 297060 [details]
/var/log/anaconda.xlog from install using VESA kernal option

I am not able to attach the anaconda.xlog file from the failed install attempt.
 Screen goes blank and install halts.  I don't know of a way to recover without
installing using the VESA kernal option.  This attachment is from a successful
install using the VESA kernal option.
Comment 4 Adam Jackson 2008-03-06 15:16:14 EST
Okay, what happens if you try the nv driver at runtime?
Comment 5 John Leneschmidt 2008-03-07 17:00:44 EST
NV Quadro driver works fine when selected at run time.
Comment 6 Adam Jackson 2008-03-13 16:54:23 EDT
F8 DVD shipped with nv 2.1.5-2, which has some known issues with LVDS (laptop
display) detection.  You almost certainly have nv 2.1.6-1 installed now, which
explains why it works if you select it at runtime.

Sorry for the release DVD bug, but it's a bit hard to change DVDs already
pressed.  Thanks for the bug report!

Note You need to log in before you can comment on or make changes to this bug.